org.apache.ignite.internal.util

## Class GridTimerTask

- java.lang.Object
- - java.util.TimerTask
  - - org.apache.ignite.internal.util.GridTimerTask

All Implemented Interfaces:
  Runnable

    public abstract class GridTimerTask
    extends TimerTask

Utility extension for `TimerTask`.

### Constructor Summary

Constructors
Constructor and Description
`GridTimerTask()`

### Method Summary

Methods
`void` `run()`
`protected abstract void` `safeRun()`

### Methods inherited from class java.util.TimerTask

`cancel, scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridTimerTask

    public GridTimerTask()

### Method Detail

#### safeRun

    protected abstract void safeRun()
                             throws InterruptedException

Throws:
  `InterruptedException` - Thrown in case other thread interrupted this thread.

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017